5 Replies Latest reply on Aug 5, 2016 1:04 PM by Ryan Rutan

    Error while uploading extension.zip for Jive-hosted app using Jive Node SDK version 0.2.4

    Vikash Kushvaha

      Hi

      I am using Jive Node SDK version 0.2.4 and created simple app using command

      jive-sdk create app

      And package.json is

      {
          "name": "",
          "version": "0.0.1",
          "private": true,
          "scripts": {
              "start": "node app.js"
          },
          "dependencies": {
              "express": "4.14.0",
              "body-parser": "1.15.2",
              "method-override": "2.3.6",
              "errorhandler": "1.4.3",
              "serve-favicon": "2.3.0",
              "jive-sdk":"*",
              "consolidate": "0.14.1",
              "q": "1.4.1",
              "request": "2.74.0"
          }
      }
      

       

      And created jive hosted app using command

      jive-sdk build add-on --apphosting="jive"

      I tried to upload extension.zip but is gave me following error

      jive-hosted error.png

       

      This was working fine when I was using earlier jive-sdk version but it gives above error in the latest jive-sdk version.

       

      Thanks

      Vikash